/** State management singleton for internal use. This should not be used directly in applications. */
export type ServiceState = {
    initialized: boolean;
    isOpen: boolean;
};
export declare const UsercentericsService: {
    getState: () => ServiceState;
    subscribe: (x: (x: ServiceState) => void) => (() => void);
};
